Documentation>C API
Data Fields
_VlCovDet Struct Reference

Covariant feature detector. More...

`#include <covdet.h>`

## Data Fields

VlScaleSpace * | gss
VlScaleSpace * | css
VlCovDetMethod | method
double | peakThreshold
double | edgeThreshold
double | lapPeakThreshold
vl_size | octaveResolution
vl_index | numOctaves
vl_index | firstOctave
double | baseScale
vl_size | maxNumOrientations

## Detailed Description

See also
  Covariant feature detectors

## Field Documentation

## ◆ baseScale

double _VlCovDet::baseScale

the base scale of the gss.

## ◆ css

VlScaleSpace* _VlCovDet::css

Cornerness scale space.

## ◆ edgeThreshold

double _VlCovDet::edgeThreshold

edge threshold.

## ◆ firstOctave

vl_index _VlCovDet::firstOctave

index of the first octave.

## ◆ gss

VlScaleSpace* _VlCovDet::gss

Gaussian scale space.

## ◆ lapPeakThreshold

double _VlCovDet::lapPeakThreshold

peak threshold for Laplacian scale selection.

## ◆ maxNumOrientations

vl_size _VlCovDet::maxNumOrientations

max number of detected orientations.

## ◆ method

VlCovDetMethod _VlCovDet::method

feature extraction method.

## ◆ numOctaves

vl_index _VlCovDet::numOctaves

number of octaves

## ◆ octaveResolution

vl_size _VlCovDet::octaveResolution

resolution of each octave.

## ◆ peakThreshold

double _VlCovDet::peakThreshold

peak threshold.

The documentation for this struct was generated from the following file:

- covdet.c